#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct GetExtractorJobStateRequest {
    #[serde(rename = "workspaceRid")]
    workspace_rid: conjure_object::ResourceIdentifier,
    #[serde(rename = "ingestJobUuid")]
    ingest_job_uuid: conjure_object::Uuid,
}
impl GetExtractorJobStateRequest {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        workspace_rid: conjure_object::ResourceIdentifier,
        ingest_job_uuid: conjure_object::Uuid,
    ) -> Self {
        Self::builder()
            .workspace_rid(workspace_rid)
            .ingest_job_uuid(ingest_job_uuid)
            .build()
    }
    #[inline]
    pub fn workspace_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.workspace_rid
    }
    #[inline]
    pub fn ingest_job_uuid(&self) -> conjure_object::Uuid {
        self.ingest_job_uuid
    }
}
